chrome.tabs.onUpdated.addListener((tabId, changeInfo, tab) => {
  if (changeInfo.status === 'complete' && tab.url) {
    // 指定したURLのパターンにマッチする場合
    if (tab.url.includes('https://kirara-code.net/users/')) {
      chrome.action.enable(tabId);  // 拡張機能を有効化
    } else {
      chrome.action.disable(tabId);  // 拡張機能を無効化
    }
  }
});
